View Issue Details

IDProjectCategoryView StatusLast Update
0023500mantisbtfilterspublic2018-03-31 19:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023500: Search filter returns matches in private notes for unprivileged users
Description

Search looks in all notes regardless of the user privilege for seeing those notes.

TagsNo tags attached.

Relationships

related to 0023499 closedcproensa Filtering with "note by" shows results from private notes for unprivileged users 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 069aba5a

2017-10-19 19:11:01

cproensa


Committer: dregad Details Diff
Use private note access in text search

Match private bugnotes only when the user have access to view them

Fixes: 0023500
Affected Issues
0023500
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2017-10-19 12:57 cproensa New Issue
2017-10-19 12:59 cproensa Relationship added related to 0023499
2017-10-19 20:20 cproensa Assigned To => cproensa
2017-10-19 20:20 cproensa Status new => assigned
2018-03-05 04:19 dregad Changeset attached => MantisBT master 069aba5a
2018-03-05 04:19 cproensa Status assigned => resolved
2018-03-05 04:19 cproensa Resolution open => fixed
2018-03-05 04:19 cproensa Fixed in Version => 2.13.0
2018-03-05 04:26 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed